Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for MSMQ API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.msmqadapter.alerts
Class MSMQAlertCodes

    java.lang.Object
      com.stc.connector.msmqadapter.alerts.MSMQAlertCodes

All Implemented Interfaces:
  com.stc.connector.management.jca.system.mbeans.AlertCodeMap

    public class MSMQAlertCodes

extends java.lang.Object
implements com.stc.connector.management.jca.system.mbeans.AlertCodeMap

Field Summary
`static java.lang.String` | `MSMQ_CLOSEQUEUEFAILED` Close MSMQ Queue failed MSMQ queue cannot be closed
`static java.lang.String` | `MSMQ_CONNECTIONFAILED` Connection to MSMQ Server failed MSMQ host failed to connect
`static java.lang.String` | `MSMQ_DISCONNECTIONFAILED` Disonnection to MSMQ Server failed MSMQ host failed to disconnect
`static java.lang.String` | `MSMQ_EWAY_RUNNING` eWay running status code.
`static java.lang.String` | `MSMQ_EWAY_STARTED` eWay started status code.
`static java.lang.String` | `MSMQ_EWAY_STOPPED` eWay stopped status code.
`static java.lang.String` | `MSMQ_EWAY_STOPPING` eWay stopping status code.
`static java.lang.String` | `MSMQ_EWAY_SUSPENDED` eWay suspended status code.
`static java.lang.String` | `MSMQ_EWAY_SUSPENDING` eWay suspending status code.
`static java.lang.String` | `MSMQ_GETMESSAGEFAILED` Get MSMQ message failed outbound MSMQ message cannot be gotton
`static java.lang.String` | `MSMQ_OPENQUEUEFAILED` Open MSMQ Queue failed MSMQ queue cannot be opened
`static java.lang.String` | `MSMQ_RECEIVEMESSAGEFAILED` Receive MSMQ message failed inbound MSMQ message cannot be received
`static java.lang.String` | `MSMQ_SENDMESSAGEFAILED` Send MSMQ message failed MSMQ message cannot be sent

Constructor Summary
`MSMQAlertCodes()`

Method Summary
`java.lang.String` | `getMapping(java.lang.String key)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MSMQ_EWAY_STARTED

    public static final java.lang.String MSMQ_EWAY_STARTED

  eWay started status code.

  See Also:
    Constant Field Values

### MSMQ_EWAY_RUNNING

    public static final java.lang.String MSMQ_EWAY_RUNNING

  eWay running status code.

  See Also:
    Constant Field Values

### MSMQ_EWAY_STOPPING

    public static final java.lang.String MSMQ_EWAY_STOPPING

  eWay stopping status code.

  See Also:
    Constant Field Values

### MSMQ_EWAY_STOPPED

    public static final java.lang.String MSMQ_EWAY_STOPPED

  eWay stopped status code.

  See Also:
    Constant Field Values

### MSMQ_EWAY_SUSPENDING

    public static final java.lang.String MSMQ_EWAY_SUSPENDING

  eWay suspending status code.

  See Also:
    Constant Field Values

### MSMQ_EWAY_SUSPENDED

    public static final java.lang.String MSMQ_EWAY_SUSPENDED

  eWay suspended status code.

  See Also:
    Constant Field Values

### MSMQ_CONNECTIONFAILED

    public static final java.lang.String MSMQ_CONNECTIONFAILED

  Connection to MSMQ Server failed MSMQ host failed to connect

  See Also:
    Constant Field Values

### MSMQ_DISCONNECTIONFAILED

    public static final java.lang.String MSMQ_DISCONNECTIONFAILED

  Disonnection to MSMQ Server failed MSMQ host failed to disconnect

  See Also:
    Constant Field Values

### MSMQ_OPENQUEUEFAILED

    public static final java.lang.String MSMQ_OPENQUEUEFAILED

  Open MSMQ Queue failed MSMQ queue cannot be opened

  See Also:
    Constant Field Values

### MSMQ_CLOSEQUEUEFAILED

    public static final java.lang.String MSMQ_CLOSEQUEUEFAILED

  Close MSMQ Queue failed MSMQ queue cannot be closed

  See Also:
    Constant Field Values

### MSMQ_SENDMESSAGEFAILED

    public static final java.lang.String MSMQ_SENDMESSAGEFAILED

  Send MSMQ message failed MSMQ message cannot be sent

  See Also:
    Constant Field Values

### MSMQ_RECEIVEMESSAGEFAILED

    public static final java.lang.String MSMQ_RECEIVEMESSAGEFAILED

  Receive MSMQ message failed inbound MSMQ message cannot be received

  See Also:
    Constant Field Values

### MSMQ_GETMESSAGEFAILED

    public static final java.lang.String MSMQ_GETMESSAGEFAILED

  Get MSMQ message failed outbound MSMQ message cannot be gotton

  See Also:
    Constant Field Values

Constructor Detail

### MSMQAlertCodes

    public MSMQAlertCodes()

Method Detail

### getMapping

    public java.lang.String getMapping(java.lang.String key)

  Specified by:
    `getMapping` in interface `com.stc.connector.management.jca.system.mbeans.AlertCodeMap`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for MSMQ API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD